-- Copyright (C) 1991-2010 Altera Corporation
-- Your use of Altera Corporation's design tools, logic functions 
-- and other software and tools, and its AMPP partner logic 
-- functions, and any output files from any of the foregoing 
-- (including device programming or simulation files), and any 
-- associated documentation or information are expressly subject 
-- to the terms and conditions of the Altera Program License 
-- Subscription Agreement, Altera MegaCore Function License 
-- Agreement, or other applicable license agreement, including, 
-- without limitation, that your use is for the sole purpose of 
-- programming logic devices manufactured by Altera and sold by 
-- Altera or its authorized distributors.  Please refer to the 
-- applicable agreement for further details.

-- VENDOR "Altera"
-- PROGRAM "Quartus II"
-- VERSION "Version 10.1 Build 153 11/29/2010 SJ Full Version"

-- DATE "01/05/2011 16:03:05"

-- 
-- Device: Altera EP2C35F672C6 Package FBGA672
-- 

-- 
-- This VHDL file should be used for ModelSim-Altera (VHDL) only
-- 

LIBRARY CYCLONEII;
LIBRARY IEEE;
USE CYCLONEII.CYCLONEII_COMPONENTS.ALL;
USE IEEE.STD_LOGIC_1164.ALL;

ENTITY 	RS IS
    PORT (
	Q : OUT std_logic;
	S : IN std_logic;
	R : IN std_logic;
	QB : OUT std_logic
	);
END RS;

-- Design Ports Information
-- Q	=>  Location: PIN_AF23,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- QB	=>  Location: PIN_AE23,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- S	=>  Location: PIN_N23,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
-- R	=>  Location: PIN_G26,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default


ARCHITECTURE structure OF RS IS
SIGNAL gnd : std_logic := '0';
SIGNAL vcc : std_logic := '1';
SIGNAL unknown : std_logic := 'X';
SIGNAL devoe : std_logic := '1';
SIGNAL devclrn : std_logic := '1';
SIGNAL devpor : std_logic := '1';
SIGNAL ww_devoe : std_logic;
SIGNAL ww_devclrn : std_logic;
SIGNAL ww_devpor : std_logic;
SIGNAL ww_Q : std_logic;
SIGNAL ww_S : std_logic;
SIGNAL ww_R : std_logic;
SIGNAL ww_QB : std_logic;
SIGNAL \R~combout\ : std_logic;
SIGNAL \S~combout\ : std_logic;
SIGNAL \inst~combout\ : std_logic;
SIGNAL \inst1~combout\ : std_logic;
SIGNAL \ALT_INV_inst1~combout\ : std_logic;
SIGNAL \ALT_INV_inst~combout\ : std_logic;
SIGNAL inst_DATAB_driver : std_logic;
SIGNAL inst_DATAC_driver : std_logic;
SIGNAL inst_DATAD_driver : std_logic;
SIGNAL inst1_DATAB_driver : std_logic;
SIGNAL inst1_DATAD_driver : std_logic;
SIGNAL Q_DATAIN_driver : std_logic;
SIGNAL QB_DATAIN_driver : std_logic;

BEGIN

Q <= ww_Q;
ww_S <= S;
ww_R <= R;
QB <= ww_QB;
ww_devoe <= devoe;
ww_devclrn <= devclrn;
ww_devpor <= devpor;
\ALT_INV_inst1~combout\ <= NOT \inst1~combout\;
\ALT_INV_inst~combout\ <= NOT \inst~combout\;

-- Location: PIN_G26,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
\R~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "input",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => GND,
	padio => ww_R,
	combout => \R~combout\);

-- Location: PIN_N23,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
\S~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "input",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => GND,
	padio => ww_S,
	combout => \S~combout\);

inst_DATAB_routing_wire_inst : cycloneii_routing_wire
PORT MAP (
	datain => \inst~combout\,
	dataout => inst_DATAB_driver);

inst_DATAC_routing_wire_inst : cycloneii_routing_wire
PORT MAP (
	datain => \R~combout\,
	dataout => inst_DATAC_driver);

inst_DATAD_routing_wire_inst : cycloneii_routing_wire
PORT MAP (
	datain => \S~combout\,
	dataout => inst_DATAD_driver);

-- Location: LCCOMB_X63_Y7_N2
inst : cycloneii_lcell_comb
-- Equation(s):
-- \inst~combout\ = (\R~combout\ & ((\inst~combout\) # (!\S~combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => inst_DATAB_driver,
	datac => inst_DATAC_driver,
	datad => inst_DATAD_driver,
	combout => \inst~combout\);

inst1_DATAB_routing_wire_inst : cycloneii_routing_wire
PORT MAP (
	datain => \inst~combout\,
	dataout => inst1_DATAB_driver);

inst1_DATAD_routing_wire_inst : cycloneii_routing_wire
PORT MAP (
	datain => \S~combout\,
	dataout => inst1_DATAD_driver);

-- Location: LCCOMB_X63_Y7_N16
inst1 : cycloneii_lcell_comb
-- Equation(s):
-- \inst1~combout\ = (!\inst~combout\ & \S~combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => inst1_DATAB_driver,
	datad => inst1_DATAD_driver,
	combout => \inst1~combout\);

Q_DATAIN_routing_wire_inst : cycloneii_routing_wire
PORT MAP (
	datain => \ALT_INV_inst~combout\,
	dataout => Q_DATAIN_driver);

-- Location: PIN_AF23,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\Q~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => Q_DATAIN_driver,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_Q);

QB_DATAIN_routing_wire_inst : cycloneii_routing_wire
PORT MAP (
	datain => \ALT_INV_inst1~combout\,
	dataout => QB_DATAIN_driver);

-- Location: PIN_AE23,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\QB~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => QB_DATAIN_driver,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_QB);
END structure;


