-- Copyright (C) 1991-2010 Altera Corporation
-- Your use of Altera Corporation's design tools, logic functions 
-- and other software and tools, and its AMPP partner logic 
-- functions, and any output files from any of the foregoing 
-- (including device programming or simulation files), and any 
-- associated documentation or information are expressly subject 
-- to the terms and conditions of the Altera Program License 
-- Subscription Agreement, Altera MegaCore Function License 
-- Agreement, or other applicable license agreement, including, 
-- without limitation, that your use is for the sole purpose of 
-- programming logic devices manufactured by Altera and sold by 
-- Altera or its authorized distributors.  Please refer to the 
-- applicable agreement for further details.

-- VENDOR "Altera"
-- PROGRAM "Quartus II"
-- VERSION "Version 10.1 Build 153 11/29/2010 SJ Full Version"

-- DATE "01/11/2011 17:06:48"

-- 
-- Device: Altera EP2C35F672C8 Package FBGA672
-- 

-- 
-- This VHDL file should be used for ModelSim-Altera (VHDL) only
-- 

LIBRARY CYCLONEII;
LIBRARY IEEE;
USE CYCLONEII.CYCLONEII_COMPONENTS.ALL;
USE IEEE.STD_LOGIC_1164.ALL;

ENTITY 	cpt_7seg IS
    PORT (
	HEX0 : OUT std_logic_vector(6 DOWNTO 0);
	CLOCK_50 : IN std_logic;
	SW : IN std_logic_vector(0 DOWNTO 0);
	HEX1 : OUT std_logic_vector(6 DOWNTO 0);
	HEX2 : OUT std_logic_vector(6 DOWNTO 0);
	HEX3 : OUT std_logic_vector(6 DOWNTO 0)
	);
END cpt_7seg;

-- Design Ports Information
-- HEX0[6]	=>  Location: PIN_V13,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- HEX0[5]	=>  Location: PIN_V14,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- HEX0[4]	=>  Location: PIN_AE11,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- HEX0[3]	=>  Location: PIN_AD11,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- HEX0[2]	=>  Location: PIN_AC12,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- HEX0[1]	=>  Location: PIN_AB12,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- HEX0[0]	=>  Location: PIN_AF10,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- HEX1[6]	=>  Location: PIN_AB24,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- HEX1[5]	=>  Location: PIN_AA23,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- HEX1[4]	=>  Location: PIN_AA24,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- HEX1[3]	=>  Location: PIN_Y22,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- HEX1[2]	=>  Location: PIN_W21,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- HEX1[1]	=>  Location: PIN_V21,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- HEX1[0]	=>  Location: PIN_V20,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- HEX2[6]	=>  Location: PIN_Y24,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- HEX2[5]	=>  Location: PIN_AB25,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- HEX2[4]	=>  Location: PIN_AB26,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- HEX2[3]	=>  Location: PIN_AC26,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- HEX2[2]	=>  Location: PIN_AC25,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- HEX2[1]	=>  Location: PIN_V22,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- HEX2[0]	=>  Location: PIN_AB23,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- HEX3[6]	=>  Location: PIN_W24,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- HEX3[5]	=>  Location: PIN_U22,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- HEX3[4]	=>  Location: PIN_Y25,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- HEX3[3]	=>  Location: PIN_Y26,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- HEX3[2]	=>  Location: PIN_AA26,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- HEX3[1]	=>  Location: PIN_AA25,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- HEX3[0]	=>  Location: PIN_Y23,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- SW[0]	=>  Location: PIN_N25,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
-- CLOCK_50	=>  Location: PIN_N2,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default


ARCHITECTURE structure OF cpt_7seg IS
SIGNAL gnd : std_logic := '0';
SIGNAL vcc : std_logic := '1';
SIGNAL unknown : std_logic := 'X';
SIGNAL devoe : std_logic := '1';
SIGNAL devclrn : std_logic := '1';
SIGNAL devpor : std_logic := '1';
SIGNAL ww_devoe : std_logic;
SIGNAL ww_devclrn : std_logic;
SIGNAL ww_devpor : std_logic;
SIGNAL ww_HEX0 : std_logic_vector(6 DOWNTO 0);
SIGNAL ww_CLOCK_50 : std_logic;
SIGNAL ww_SW : std_logic_vector(0 DOWNTO 0);
SIGNAL ww_HEX1 : std_logic_vector(6 DOWNTO 0);
SIGNAL ww_HEX2 : std_logic_vector(6 DOWNTO 0);
SIGNAL ww_HEX3 : std_logic_vector(6 DOWNTO 0);
SIGNAL \inst7|LPM_COUNTER_component|auto_generated|safe_q[22]~clkctrl_INCLK_bus\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \CLOCK_50~clkctrl_INCLK_bus\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita0~COUT\ : std_logic;
SIGNAL \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita0~combout\ : std_logic;
SIGNAL \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita1~COUT\ : std_logic;
SIGNAL \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita1~combout\ : std_logic;
SIGNAL \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita2~COUT\ : std_logic;
SIGNAL \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita2~combout\ : std_logic;
SIGNAL \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita3~COUT\ : std_logic;
SIGNAL \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita3~combout\ : std_logic;
SIGNAL \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita4~COUT\ : std_logic;
SIGNAL \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita4~combout\ : std_logic;
SIGNAL \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita5~COUT\ : std_logic;
SIGNAL \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita5~combout\ : std_logic;
SIGNAL \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita6~COUT\ : std_logic;
SIGNAL \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita6~combout\ : std_logic;
SIGNAL \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita7~COUT\ : std_logic;
SIGNAL \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita7~combout\ : std_logic;
SIGNAL \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita8~COUT\ : std_logic;
SIGNAL \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita8~combout\ : std_logic;
SIGNAL \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita9~COUT\ : std_logic;
SIGNAL \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita9~combout\ : std_logic;
SIGNAL \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita10~COUT\ : std_logic;
SIGNAL \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita10~combout\ : std_logic;
SIGNAL \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita11~COUT\ : std_logic;
SIGNAL \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita11~combout\ : std_logic;
SIGNAL \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita12~COUT\ : std_logic;
SIGNAL \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita12~combout\ : std_logic;
SIGNAL \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita13~COUT\ : std_logic;
SIGNAL \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita13~combout\ : std_logic;
SIGNAL \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita14~COUT\ : std_logic;
SIGNAL \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita14~combout\ : std_logic;
SIGNAL \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita15~COUT\ : std_logic;
SIGNAL \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita15~combout\ : std_logic;
SIGNAL \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita16~COUT\ : std_logic;
SIGNAL \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita16~combout\ : std_logic;
SIGNAL \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita17~COUT\ : std_logic;
SIGNAL \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita17~combout\ : std_logic;
SIGNAL \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita18~COUT\ : std_logic;
SIGNAL \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita18~combout\ : std_logic;
SIGNAL \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita19~COUT\ : std_logic;
SIGNAL \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita19~combout\ : std_logic;
SIGNAL \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita20~COUT\ : std_logic;
SIGNAL \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita20~combout\ : std_logic;
SIGNAL \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita21~COUT\ : std_logic;
SIGNAL \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita21~combout\ : std_logic;
SIGNAL \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita22~COUT\ : std_logic;
SIGNAL \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita22~combout\ : std_logic;
SIGNAL \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita23~COUT\ : std_logic;
SIGNAL \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita23~combout\ : std_logic;
SIGNAL \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita24~COUT\ : std_logic;
SIGNAL \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita24~combout\ : std_logic;
SIGNAL \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita25~COUT\ : std_logic;
SIGNAL \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita25~combout\ : std_logic;
SIGNAL \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita25~0_combout\ : std_logic;
SIGNAL \inst7|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~0_combout\ : std_logic;
SIGNAL \inst7|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~1_combout\ : std_logic;
SIGNAL \inst7|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~2_combout\ : std_logic;
SIGNAL \inst7|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~3_combout\ : std_logic;
SIGNAL \inst7|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~4_combout\ : std_logic;
SIGNAL \inst7|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~5_combout\ : std_logic;
SIGNAL \inst7|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~6_combout\ : std_logic;
SIGNAL \inst7|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~7_combout\ : std_logic;
SIGNAL \inst7|LPM_COUNTER_component|auto_generated|cout_actual~combout\ : std_logic;
SIGNAL \~GND~combout\ : std_logic;
SIGNAL \CLOCK_50~combout\ : std_logic;
SIGNAL \inst7|LPM_COUNTER_component|auto_generated|safe_q[22]~clkctrl_outclk\ : std_logic;
SIGNAL \CLOCK_50~clkctrl_outclk\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita0~combout\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita0~COUT\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita1~combout\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita1~COUT\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita2~combout\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita2~COUT\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita3~combout\ : std_logic;
SIGNAL \inst5|Mux0~0_combout\ : std_logic;
SIGNAL \inst5|Mux1~0_combout\ : std_logic;
SIGNAL \inst5|Mux2~0_combout\ : std_logic;
SIGNAL \inst5|Mux3~0_combout\ : std_logic;
SIGNAL \inst5|Mux4~0_combout\ : std_logic;
SIGNAL \inst5|Mux5~0_combout\ : std_logic;
SIGNAL \inst5|Mux6~0_combout\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita3~COUT\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita4~combout\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita4~COUT\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita5~COUT\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita6~combout\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita5~combout\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita6~COUT\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita7~combout\ : std_logic;
SIGNAL \inst4|Mux0~0_combout\ : std_logic;
SIGNAL \inst4|Mux1~0_combout\ : std_logic;
SIGNAL \inst4|Mux2~0_combout\ : std_logic;
SIGNAL \inst4|Mux3~0_combout\ : std_logic;
SIGNAL \inst4|Mux4~0_combout\ : std_logic;
SIGNAL \inst4|Mux5~0_combout\ : std_logic;
SIGNAL \inst4|Mux6~0_combout\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita7~COUT\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita8~combout\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita8~COUT\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita9~combout\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita9~COUT\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita10~combout\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita10~COUT\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita11~combout\ : std_logic;
SIGNAL \inst|Mux0~0_combout\ : std_logic;
SIGNAL \inst|Mux1~0_combout\ : std_logic;
SIGNAL \inst|Mux2~0_combout\ : std_logic;
SIGNAL \inst|Mux3~0_combout\ : std_logic;
SIGNAL \inst|Mux4~0_combout\ : std_logic;
SIGNAL \inst|Mux5~0_combout\ : std_logic;
SIGNAL \inst|Mux6~0_combout\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita11~COUT\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita12~COUT\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita13~COUT\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita14~COUT\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita15~combout\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita12~combout\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita13~combout\ : std_logic;
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita14~combout\ : std_logic;
SIGNAL \inst6|Mux0~0_combout\ : std_logic;
SIGNAL \inst6|Mux1~0_combout\ : std_logic;
SIGNAL \inst6|Mux2~0_combout\ : std_logic;
SIGNAL \inst6|Mux3~0_combout\ : std_logic;
SIGNAL \inst6|Mux4~0_combout\ : std_logic;
SIGNAL \inst6|Mux5~0_combout\ : std_logic;
SIGNAL \inst6|Mux6~0_combout\ : std_logic;
SIGNAL \SW~combout\ : std_logic_vector(0 DOWNTO 0);
SIGNAL \inst7|LPM_COUNTER_component|auto_generated|safe_q\ : std_logic_vector(25 DOWNTO 0);
SIGNAL \inst2|LPM_COUNTER_component|auto_generated|safe_q\ : std_logic_vector(15 DOWNTO 0);
SIGNAL \inst5|ALT_INV_Mux0~0_combout\ : std_logic;
SIGNAL \inst4|ALT_INV_Mux0~0_combout\ : std_logic;
SIGNAL \inst|ALT_INV_Mux0~0_combout\ : std_logic;
SIGNAL \inst6|ALT_INV_Mux0~0_combout\ : std_logic;

BEGIN

HEX0 <= ww_HEX0;
ww_CLOCK_50 <= CLOCK_50;
ww_SW <= SW;
HEX1 <= ww_HEX1;
HEX2 <= ww_HEX2;
HEX3 <= ww_HEX3;
ww_devoe <= devoe;
ww_devclrn <= devclrn;
ww_devpor <= devpor;

\inst7|LPM_COUNTER_component|auto_generated|safe_q[22]~clkctrl_INCLK_bus\ <= (gnd & gnd & gnd & \inst7|LPM_COUNTER_component|auto_generated|safe_q\(22));

\CLOCK_50~clkctrl_INCLK_bus\ <= (gnd & gnd & gnd & \CLOCK_50~combout\);
\inst5|ALT_INV_Mux0~0_combout\ <= NOT \inst5|Mux0~0_combout\;
\inst4|ALT_INV_Mux0~0_combout\ <= NOT \inst4|Mux0~0_combout\;
\inst|ALT_INV_Mux0~0_combout\ <= NOT \inst|Mux0~0_combout\;
\inst6|ALT_INV_Mux0~0_combout\ <= NOT \inst6|Mux0~0_combout\;

-- Location: LCFF_X58_Y30_N19
\inst7|LPM_COUNTER_component|auto_generated|counter_reg_bit1a[22]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \CLOCK_50~clkctrl_outclk\,
	datain => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita22~combout\,
	sdata => \~GND~combout\,
	sload => \inst7|LPM_COUNTER_component|auto_generated|cout_actual~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst7|LPM_COUNTER_component|auto_generated|safe_q\(22));

-- Location: LCFF_X58_Y30_N17
\inst7|LPM_COUNTER_component|auto_generated|counter_reg_bit1a[21]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \CLOCK_50~clkctrl_outclk\,
	datain => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita21~combout\,
	sdata => \~GND~combout\,
	sload => \inst7|LPM_COUNTER_component|auto_generated|cout_actual~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst7|LPM_COUNTER_component|auto_generated|safe_q\(21));

-- Location: LCFF_X58_Y30_N15
\inst7|LPM_COUNTER_component|auto_generated|counter_reg_bit1a[20]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \CLOCK_50~clkctrl_outclk\,
	datain => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita20~combout\,
	sdata => \~GND~combout\,
	sload => \inst7|LPM_COUNTER_component|auto_generated|cout_actual~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst7|LPM_COUNTER_component|auto_generated|safe_q\(20));

-- Location: LCFF_X58_Y30_N13
\inst7|LPM_COUNTER_component|auto_generated|counter_reg_bit1a[19]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \CLOCK_50~clkctrl_outclk\,
	datain => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita19~combout\,
	sdata => \~GND~combout\,
	sload => \inst7|LPM_COUNTER_component|auto_generated|cout_actual~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst7|LPM_COUNTER_component|auto_generated|safe_q\(19));

-- Location: LCFF_X58_Y30_N11
\inst7|LPM_COUNTER_component|auto_generated|counter_reg_bit1a[18]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \CLOCK_50~clkctrl_outclk\,
	datain => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita18~combout\,
	sdata => \~GND~combout\,
	sload => \inst7|LPM_COUNTER_component|auto_generated|cout_actual~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst7|LPM_COUNTER_component|auto_generated|safe_q\(18));

-- Location: LCFF_X58_Y30_N9
\inst7|LPM_COUNTER_component|auto_generated|counter_reg_bit1a[17]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \CLOCK_50~clkctrl_outclk\,
	datain => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita17~combout\,
	sdata => \~GND~combout\,
	sload => \inst7|LPM_COUNTER_component|auto_generated|cout_actual~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst7|LPM_COUNTER_component|auto_generated|safe_q\(17));

-- Location: LCFF_X58_Y30_N7
\inst7|LPM_COUNTER_component|auto_generated|counter_reg_bit1a[16]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \CLOCK_50~clkctrl_outclk\,
	datain => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita16~combout\,
	sdata => \~GND~combout\,
	sload => \inst7|LPM_COUNTER_component|auto_generated|cout_actual~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst7|LPM_COUNTER_component|auto_generated|safe_q\(16));

-- Location: LCFF_X58_Y30_N5
\inst7|LPM_COUNTER_component|auto_generated|counter_reg_bit1a[15]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \CLOCK_50~clkctrl_outclk\,
	datain => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita15~combout\,
	sdata => \~GND~combout\,
	sload => \inst7|LPM_COUNTER_component|auto_generated|cout_actual~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst7|LPM_COUNTER_component|auto_generated|safe_q\(15));

-- Location: LCFF_X58_Y30_N3
\inst7|LPM_COUNTER_component|auto_generated|counter_reg_bit1a[14]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \CLOCK_50~clkctrl_outclk\,
	datain => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita14~combout\,
	sdata => \~GND~combout\,
	sload => \inst7|LPM_COUNTER_component|auto_generated|cout_actual~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst7|LPM_COUNTER_component|auto_generated|safe_q\(14));

-- Location: LCFF_X58_Y30_N1
\inst7|LPM_COUNTER_component|auto_generated|counter_reg_bit1a[13]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \CLOCK_50~clkctrl_outclk\,
	datain => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita13~combout\,
	sdata => \~GND~combout\,
	sload => \inst7|LPM_COUNTER_component|auto_generated|cout_actual~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst7|LPM_COUNTER_component|auto_generated|safe_q\(13));

-- Location: LCFF_X58_Y31_N31
\inst7|LPM_COUNTER_component|auto_generated|counter_reg_bit1a[12]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \CLOCK_50~clkctrl_outclk\,
	datain => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita12~combout\,
	sdata => \~GND~combout\,
	sload => \inst7|LPM_COUNTER_component|auto_generated|cout_actual~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst7|LPM_COUNTER_component|auto_generated|safe_q\(12));

-- Location: LCFF_X58_Y31_N29
\inst7|LPM_COUNTER_component|auto_generated|counter_reg_bit1a[11]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \CLOCK_50~clkctrl_outclk\,
	datain => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita11~combout\,
	sdata => \~GND~combout\,
	sload => \inst7|LPM_COUNTER_component|auto_generated|cout_actual~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst7|LPM_COUNTER_component|auto_generated|safe_q\(11));

-- Location: LCFF_X58_Y31_N27
\inst7|LPM_COUNTER_component|auto_generated|counter_reg_bit1a[10]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \CLOCK_50~clkctrl_outclk\,
	datain => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita10~combout\,
	sdata => \~GND~combout\,
	sload => \inst7|LPM_COUNTER_component|auto_generated|cout_actual~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst7|LPM_COUNTER_component|auto_generated|safe_q\(10));

-- Location: LCFF_X58_Y31_N25
\inst7|LPM_COUNTER_component|auto_generated|counter_reg_bit1a[9]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \CLOCK_50~clkctrl_outclk\,
	datain => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita9~combout\,
	sdata => \~GND~combout\,
	sload => \inst7|LPM_COUNTER_component|auto_generated|cout_actual~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst7|LPM_COUNTER_component|auto_generated|safe_q\(9));

-- Location: LCFF_X58_Y31_N23
\inst7|LPM_COUNTER_component|auto_generated|counter_reg_bit1a[8]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \CLOCK_50~clkctrl_outclk\,
	datain => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita8~combout\,
	sdata => \~GND~combout\,
	sload => \inst7|LPM_COUNTER_component|auto_generated|cout_actual~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst7|LPM_COUNTER_component|auto_generated|safe_q\(8));

-- Location: LCFF_X58_Y31_N21
\inst7|LPM_COUNTER_component|auto_generated|counter_reg_bit1a[7]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \CLOCK_50~clkctrl_outclk\,
	datain => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita7~combout\,
	sdata => \~GND~combout\,
	sload => \inst7|LPM_COUNTER_component|auto_generated|cout_actual~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst7|LPM_COUNTER_component|auto_generated|safe_q\(7));

-- Location: LCFF_X58_Y31_N19
\inst7|LPM_COUNTER_component|auto_generated|counter_reg_bit1a[6]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \CLOCK_50~clkctrl_outclk\,
	datain => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita6~combout\,
	sdata => \~GND~combout\,
	sload => \inst7|LPM_COUNTER_component|auto_generated|cout_actual~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst7|LPM_COUNTER_component|auto_generated|safe_q\(6));

-- Location: LCFF_X58_Y31_N17
\inst7|LPM_COUNTER_component|auto_generated|counter_reg_bit1a[5]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \CLOCK_50~clkctrl_outclk\,
	datain => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita5~combout\,
	sdata => \~GND~combout\,
	sload => \inst7|LPM_COUNTER_component|auto_generated|cout_actual~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst7|LPM_COUNTER_component|auto_generated|safe_q\(5));

-- Location: LCFF_X58_Y31_N15
\inst7|LPM_COUNTER_component|auto_generated|counter_reg_bit1a[4]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \CLOCK_50~clkctrl_outclk\,
	datain => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita4~combout\,
	sdata => \~GND~combout\,
	sload => \inst7|LPM_COUNTER_component|auto_generated|cout_actual~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst7|LPM_COUNTER_component|auto_generated|safe_q\(4));

-- Location: LCFF_X58_Y31_N13
\inst7|LPM_COUNTER_component|auto_generated|counter_reg_bit1a[3]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \CLOCK_50~clkctrl_outclk\,
	datain => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita3~combout\,
	sdata => \~GND~combout\,
	sload => \inst7|LPM_COUNTER_component|auto_generated|cout_actual~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst7|LPM_COUNTER_component|auto_generated|safe_q\(3));

-- Location: LCFF_X58_Y31_N11
\inst7|LPM_COUNTER_component|auto_generated|counter_reg_bit1a[2]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \CLOCK_50~clkctrl_outclk\,
	datain => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita2~combout\,
	sdata => \~GND~combout\,
	sload => \inst7|LPM_COUNTER_component|auto_generated|cout_actual~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst7|LPM_COUNTER_component|auto_generated|safe_q\(2));

-- Location: LCFF_X58_Y31_N9
\inst7|LPM_COUNTER_component|auto_generated|counter_reg_bit1a[1]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \CLOCK_50~clkctrl_outclk\,
	datain => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita1~combout\,
	sdata => \~GND~combout\,
	sload => \inst7|LPM_COUNTER_component|auto_generated|cout_actual~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst7|LPM_COUNTER_component|auto_generated|safe_q\(1));

-- Location: LCFF_X58_Y31_N7
\inst7|LPM_COUNTER_component|auto_generated|counter_reg_bit1a[0]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \CLOCK_50~clkctrl_outclk\,
	datain => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita0~combout\,
	sdata => \~GND~combout\,
	sload => \inst7|LPM_COUNTER_component|auto_generated|cout_actual~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst7|LPM_COUNTER_component|auto_generated|safe_q\(0));

-- Location: LCCOMB_X58_Y31_N6
\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita0~combout\ = \inst7|LPM_COUNTER_component|auto_generated|safe_q\(0) $ (VCC)
-- \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita0~COUT\ = CARRY(\inst7|LPM_COUNTER_component|auto_generated|safe_q\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010110101010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst7|LPM_COUNTER_component|auto_generated|safe_q\(0),
	datad => VCC,
	combout => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita0~combout\,
	cout => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita0~COUT\);

-- Location: LCCOMB_X58_Y31_N8
\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita1\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita1~combout\ = (\inst7|LPM_COUNTER_component|auto_generated|safe_q\(1) & (!\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita0~COUT\)) # 
-- (!\inst7|LPM_COUNTER_component|auto_generated|safe_q\(1) & ((\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita0~COUT\) # (GND)))
-- \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita1~COUT\ = CARRY((!\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita0~COUT\) # (!\inst7|LPM_COUNTER_component|auto_generated|safe_q\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst7|LPM_COUNTER_component|auto_generated|safe_q\(1),
	datad => VCC,
	cin => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita0~COUT\,
	combout => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita1~combout\,
	cout => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita1~COUT\);

-- Location: LCCOMB_X58_Y31_N10
\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita2\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita2~combout\ = (\inst7|LPM_COUNTER_component|auto_generated|safe_q\(2) & (\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita1~COUT\ $ (GND))) # 
-- (!\inst7|LPM_COUNTER_component|auto_generated|safe_q\(2) & (!\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita1~COUT\ & VCC))
-- \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita2~COUT\ = CARRY((\inst7|LPM_COUNTER_component|auto_generated|safe_q\(2) & !\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita1~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst7|LPM_COUNTER_component|auto_generated|safe_q\(2),
	datad => VCC,
	cin => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita1~COUT\,
	combout => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita2~combout\,
	cout => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita2~COUT\);

-- Location: LCCOMB_X58_Y31_N12
\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita3\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita3~combout\ = (\inst7|LPM_COUNTER_component|auto_generated|safe_q\(3) & (!\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita2~COUT\)) # 
-- (!\inst7|LPM_COUNTER_component|auto_generated|safe_q\(3) & ((\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita2~COUT\) # (GND)))
-- \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita3~COUT\ = CARRY((!\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita2~COUT\) # (!\inst7|LPM_COUNTER_component|auto_generated|safe_q\(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst7|LPM_COUNTER_component|auto_generated|safe_q\(3),
	datad => VCC,
	cin => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita2~COUT\,
	combout => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita3~combout\,
	cout => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita3~COUT\);

-- Location: LCCOMB_X58_Y31_N14
\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita4\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita4~combout\ = (\inst7|LPM_COUNTER_component|auto_generated|safe_q\(4) & (\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita3~COUT\ $ (GND))) # 
-- (!\inst7|LPM_COUNTER_component|auto_generated|safe_q\(4) & (!\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita3~COUT\ & VCC))
-- \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita4~COUT\ = CARRY((\inst7|LPM_COUNTER_component|auto_generated|safe_q\(4) & !\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita3~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst7|LPM_COUNTER_component|auto_generated|safe_q\(4),
	datad => VCC,
	cin => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita3~COUT\,
	combout => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita4~combout\,
	cout => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita4~COUT\);

-- Location: LCCOMB_X58_Y31_N16
\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita5\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita5~combout\ = (\inst7|LPM_COUNTER_component|auto_generated|safe_q\(5) & (!\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita4~COUT\)) # 
-- (!\inst7|LPM_COUNTER_component|auto_generated|safe_q\(5) & ((\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita4~COUT\) # (GND)))
-- \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita5~COUT\ = CARRY((!\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita4~COUT\) # (!\inst7|LPM_COUNTER_component|auto_generated|safe_q\(5)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst7|LPM_COUNTER_component|auto_generated|safe_q\(5),
	datad => VCC,
	cin => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita4~COUT\,
	combout => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita5~combout\,
	cout => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita5~COUT\);

-- Location: LCCOMB_X58_Y31_N18
\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita6\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita6~combout\ = (\inst7|LPM_COUNTER_component|auto_generated|safe_q\(6) & (\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita5~COUT\ $ (GND))) # 
-- (!\inst7|LPM_COUNTER_component|auto_generated|safe_q\(6) & (!\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita5~COUT\ & VCC))
-- \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita6~COUT\ = CARRY((\inst7|LPM_COUNTER_component|auto_generated|safe_q\(6) & !\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita5~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst7|LPM_COUNTER_component|auto_generated|safe_q\(6),
	datad => VCC,
	cin => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita5~COUT\,
	combout => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita6~combout\,
	cout => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita6~COUT\);

-- Location: LCCOMB_X58_Y31_N20
\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita7\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita7~combout\ = (\inst7|LPM_COUNTER_component|auto_generated|safe_q\(7) & (!\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita6~COUT\)) # 
-- (!\inst7|LPM_COUNTER_component|auto_generated|safe_q\(7) & ((\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita6~COUT\) # (GND)))
-- \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita7~COUT\ = CARRY((!\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita6~COUT\) # (!\inst7|LPM_COUNTER_component|auto_generated|safe_q\(7)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst7|LPM_COUNTER_component|auto_generated|safe_q\(7),
	datad => VCC,
	cin => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita6~COUT\,
	combout => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita7~combout\,
	cout => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita7~COUT\);

-- Location: LCCOMB_X58_Y31_N22
\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita8\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita8~combout\ = (\inst7|LPM_COUNTER_component|auto_generated|safe_q\(8) & (\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita7~COUT\ $ (GND))) # 
-- (!\inst7|LPM_COUNTER_component|auto_generated|safe_q\(8) & (!\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita7~COUT\ & VCC))
-- \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita8~COUT\ = CARRY((\inst7|LPM_COUNTER_component|auto_generated|safe_q\(8) & !\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita7~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst7|LPM_COUNTER_component|auto_generated|safe_q\(8),
	datad => VCC,
	cin => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita7~COUT\,
	combout => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita8~combout\,
	cout => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita8~COUT\);

-- Location: LCCOMB_X58_Y31_N24
\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita9\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita9~combout\ = (\inst7|LPM_COUNTER_component|auto_generated|safe_q\(9) & (!\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita8~COUT\)) # 
-- (!\inst7|LPM_COUNTER_component|auto_generated|safe_q\(9) & ((\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita8~COUT\) # (GND)))
-- \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita9~COUT\ = CARRY((!\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita8~COUT\) # (!\inst7|LPM_COUNTER_component|auto_generated|safe_q\(9)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst7|LPM_COUNTER_component|auto_generated|safe_q\(9),
	datad => VCC,
	cin => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita8~COUT\,
	combout => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita9~combout\,
	cout => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita9~COUT\);

-- Location: LCCOMB_X58_Y31_N26
\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita10\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita10~combout\ = (\inst7|LPM_COUNTER_component|auto_generated|safe_q\(10) & (\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita9~COUT\ $ (GND))) # 
-- (!\inst7|LPM_COUNTER_component|auto_generated|safe_q\(10) & (!\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita9~COUT\ & VCC))
-- \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita10~COUT\ = CARRY((\inst7|LPM_COUNTER_component|auto_generated|safe_q\(10) & !\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita9~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst7|LPM_COUNTER_component|auto_generated|safe_q\(10),
	datad => VCC,
	cin => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita9~COUT\,
	combout => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita10~combout\,
	cout => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita10~COUT\);

-- Location: LCCOMB_X58_Y31_N28
\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita11\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita11~combout\ = (\inst7|LPM_COUNTER_component|auto_generated|safe_q\(11) & (!\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita10~COUT\)) # 
-- (!\inst7|LPM_COUNTER_component|auto_generated|safe_q\(11) & ((\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita10~COUT\) # (GND)))
-- \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita11~COUT\ = CARRY((!\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita10~COUT\) # (!\inst7|LPM_COUNTER_component|auto_generated|safe_q\(11)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst7|LPM_COUNTER_component|auto_generated|safe_q\(11),
	datad => VCC,
	cin => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita10~COUT\,
	combout => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita11~combout\,
	cout => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita11~COUT\);

-- Location: LCCOMB_X58_Y31_N30
\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita12\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita12~combout\ = (\inst7|LPM_COUNTER_component|auto_generated|safe_q\(12) & (\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita11~COUT\ $ (GND))) # 
-- (!\inst7|LPM_COUNTER_component|auto_generated|safe_q\(12) & (!\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita11~COUT\ & VCC))
-- \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita12~COUT\ = CARRY((\inst7|LPM_COUNTER_component|auto_generated|safe_q\(12) & !\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita11~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst7|LPM_COUNTER_component|auto_generated|safe_q\(12),
	datad => VCC,
	cin => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita11~COUT\,
	combout => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita12~combout\,
	cout => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita12~COUT\);

-- Location: LCCOMB_X58_Y30_N0
\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita13\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita13~combout\ = (\inst7|LPM_COUNTER_component|auto_generated|safe_q\(13) & (!\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita12~COUT\)) # 
-- (!\inst7|LPM_COUNTER_component|auto_generated|safe_q\(13) & ((\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita12~COUT\) # (GND)))
-- \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita13~COUT\ = CARRY((!\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita12~COUT\) # (!\inst7|LPM_COUNTER_component|auto_generated|safe_q\(13)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst7|LPM_COUNTER_component|auto_generated|safe_q\(13),
	datad => VCC,
	cin => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita12~COUT\,
	combout => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita13~combout\,
	cout => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita13~COUT\);

-- Location: LCCOMB_X58_Y30_N2
\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita14\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita14~combout\ = (\inst7|LPM_COUNTER_component|auto_generated|safe_q\(14) & (\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita13~COUT\ $ (GND))) # 
-- (!\inst7|LPM_COUNTER_component|auto_generated|safe_q\(14) & (!\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita13~COUT\ & VCC))
-- \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita14~COUT\ = CARRY((\inst7|LPM_COUNTER_component|auto_generated|safe_q\(14) & !\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita13~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst7|LPM_COUNTER_component|auto_generated|safe_q\(14),
	datad => VCC,
	cin => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita13~COUT\,
	combout => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita14~combout\,
	cout => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita14~COUT\);

-- Location: LCCOMB_X58_Y30_N4
\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita15\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita15~combout\ = (\inst7|LPM_COUNTER_component|auto_generated|safe_q\(15) & (!\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita14~COUT\)) # 
-- (!\inst7|LPM_COUNTER_component|auto_generated|safe_q\(15) & ((\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita14~COUT\) # (GND)))
-- \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita15~COUT\ = CARRY((!\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita14~COUT\) # (!\inst7|LPM_COUNTER_component|auto_generated|safe_q\(15)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst7|LPM_COUNTER_component|auto_generated|safe_q\(15),
	datad => VCC,
	cin => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita14~COUT\,
	combout => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita15~combout\,
	cout => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita15~COUT\);

-- Location: LCCOMB_X58_Y30_N6
\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita16\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita16~combout\ = (\inst7|LPM_COUNTER_component|auto_generated|safe_q\(16) & (\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita15~COUT\ $ (GND))) # 
-- (!\inst7|LPM_COUNTER_component|auto_generated|safe_q\(16) & (!\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita15~COUT\ & VCC))
-- \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita16~COUT\ = CARRY((\inst7|LPM_COUNTER_component|auto_generated|safe_q\(16) & !\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita15~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst7|LPM_COUNTER_component|auto_generated|safe_q\(16),
	datad => VCC,
	cin => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita15~COUT\,
	combout => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita16~combout\,
	cout => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita16~COUT\);

-- Location: LCCOMB_X58_Y30_N8
\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita17\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita17~combout\ = (\inst7|LPM_COUNTER_component|auto_generated|safe_q\(17) & (!\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita16~COUT\)) # 
-- (!\inst7|LPM_COUNTER_component|auto_generated|safe_q\(17) & ((\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita16~COUT\) # (GND)))
-- \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita17~COUT\ = CARRY((!\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita16~COUT\) # (!\inst7|LPM_COUNTER_component|auto_generated|safe_q\(17)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst7|LPM_COUNTER_component|auto_generated|safe_q\(17),
	datad => VCC,
	cin => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita16~COUT\,
	combout => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita17~combout\,
	cout => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita17~COUT\);

-- Location: LCCOMB_X58_Y30_N10
\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita18\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita18~combout\ = (\inst7|LPM_COUNTER_component|auto_generated|safe_q\(18) & (\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita17~COUT\ $ (GND))) # 
-- (!\inst7|LPM_COUNTER_component|auto_generated|safe_q\(18) & (!\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita17~COUT\ & VCC))
-- \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita18~COUT\ = CARRY((\inst7|LPM_COUNTER_component|auto_generated|safe_q\(18) & !\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita17~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst7|LPM_COUNTER_component|auto_generated|safe_q\(18),
	datad => VCC,
	cin => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita17~COUT\,
	combout => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita18~combout\,
	cout => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita18~COUT\);

-- Location: LCCOMB_X58_Y30_N12
\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita19\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita19~combout\ = (\inst7|LPM_COUNTER_component|auto_generated|safe_q\(19) & (!\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita18~COUT\)) # 
-- (!\inst7|LPM_COUNTER_component|auto_generated|safe_q\(19) & ((\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita18~COUT\) # (GND)))
-- \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita19~COUT\ = CARRY((!\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita18~COUT\) # (!\inst7|LPM_COUNTER_component|auto_generated|safe_q\(19)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst7|LPM_COUNTER_component|auto_generated|safe_q\(19),
	datad => VCC,
	cin => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita18~COUT\,
	combout => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita19~combout\,
	cout => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita19~COUT\);

-- Location: LCCOMB_X58_Y30_N14
\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita20\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita20~combout\ = (\inst7|LPM_COUNTER_component|auto_generated|safe_q\(20) & (\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita19~COUT\ $ (GND))) # 
-- (!\inst7|LPM_COUNTER_component|auto_generated|safe_q\(20) & (!\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita19~COUT\ & VCC))
-- \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita20~COUT\ = CARRY((\inst7|LPM_COUNTER_component|auto_generated|safe_q\(20) & !\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita19~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst7|LPM_COUNTER_component|auto_generated|safe_q\(20),
	datad => VCC,
	cin => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita19~COUT\,
	combout => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita20~combout\,
	cout => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita20~COUT\);

-- Location: LCCOMB_X58_Y30_N16
\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita21\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita21~combout\ = (\inst7|LPM_COUNTER_component|auto_generated|safe_q\(21) & (!\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita20~COUT\)) # 
-- (!\inst7|LPM_COUNTER_component|auto_generated|safe_q\(21) & ((\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita20~COUT\) # (GND)))
-- \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita21~COUT\ = CARRY((!\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita20~COUT\) # (!\inst7|LPM_COUNTER_component|auto_generated|safe_q\(21)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst7|LPM_COUNTER_component|auto_generated|safe_q\(21),
	datad => VCC,
	cin => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita20~COUT\,
	combout => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita21~combout\,
	cout => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita21~COUT\);

-- Location: LCCOMB_X58_Y30_N18
\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita22\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita22~combout\ = (\inst7|LPM_COUNTER_component|auto_generated|safe_q\(22) & (\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita21~COUT\ $ (GND))) # 
-- (!\inst7|LPM_COUNTER_component|auto_generated|safe_q\(22) & (!\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita21~COUT\ & VCC))
-- \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita22~COUT\ = CARRY((\inst7|LPM_COUNTER_component|auto_generated|safe_q\(22) & !\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita21~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst7|LPM_COUNTER_component|auto_generated|safe_q\(22),
	datad => VCC,
	cin => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita21~COUT\,
	combout => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita22~combout\,
	cout => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita22~COUT\);

-- Location: LCFF_X58_Y30_N25
\inst7|LPM_COUNTER_component|auto_generated|counter_reg_bit1a[25]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \CLOCK_50~clkctrl_outclk\,
	datain => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita25~combout\,
	sdata => \~GND~combout\,
	sload => \inst7|LPM_COUNTER_component|auto_generated|cout_actual~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst7|LPM_COUNTER_component|auto_generated|safe_q\(25));

-- Location: LCFF_X58_Y30_N23
\inst7|LPM_COUNTER_component|auto_generated|counter_reg_bit1a[24]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \CLOCK_50~clkctrl_outclk\,
	datain => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita24~combout\,
	sdata => \~GND~combout\,
	sload => \inst7|LPM_COUNTER_component|auto_generated|cout_actual~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst7|LPM_COUNTER_component|auto_generated|safe_q\(24));

-- Location: LCFF_X58_Y30_N21
\inst7|LPM_COUNTER_component|auto_generated|counter_reg_bit1a[23]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \CLOCK_50~clkctrl_outclk\,
	datain => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita23~combout\,
	sdata => \~GND~combout\,
	sload => \inst7|LPM_COUNTER_component|auto_generated|cout_actual~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst7|LPM_COUNTER_component|auto_generated|safe_q\(23));

-- Location: LCCOMB_X58_Y30_N20
\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita23\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita23~combout\ = (\inst7|LPM_COUNTER_component|auto_generated|safe_q\(23) & (!\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita22~COUT\)) # 
-- (!\inst7|LPM_COUNTER_component|auto_generated|safe_q\(23) & ((\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita22~COUT\) # (GND)))
-- \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita23~COUT\ = CARRY((!\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita22~COUT\) # (!\inst7|LPM_COUNTER_component|auto_generated|safe_q\(23)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst7|LPM_COUNTER_component|auto_generated|safe_q\(23),
	datad => VCC,
	cin => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita22~COUT\,
	combout => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita23~combout\,
	cout => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita23~COUT\);

-- Location: LCCOMB_X58_Y30_N22
\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita24\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita24~combout\ = (\inst7|LPM_COUNTER_component|auto_generated|safe_q\(24) & (\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita23~COUT\ $ (GND))) # 
-- (!\inst7|LPM_COUNTER_component|auto_generated|safe_q\(24) & (!\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita23~COUT\ & VCC))
-- \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita24~COUT\ = CARRY((\inst7|LPM_COUNTER_component|auto_generated|safe_q\(24) & !\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita23~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst7|LPM_COUNTER_component|auto_generated|safe_q\(24),
	datad => VCC,
	cin => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita23~COUT\,
	combout => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita24~combout\,
	cout => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita24~COUT\);

-- Location: LCCOMB_X58_Y30_N24
\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita25\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita25~combout\ = (\inst7|LPM_COUNTER_component|auto_generated|safe_q\(25) & (!\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita24~COUT\)) # 
-- (!\inst7|LPM_COUNTER_component|auto_generated|safe_q\(25) & ((\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita24~COUT\) # (GND)))
-- \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita25~COUT\ = CARRY((!\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita24~COUT\) # (!\inst7|LPM_COUNTER_component|auto_generated|safe_q\(25)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst7|LPM_COUNTER_component|auto_generated|safe_q\(25),
	datad => VCC,
	cin => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita24~COUT\,
	combout => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita25~combout\,
	cout => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita25~COUT\);

-- Location: LCCOMB_X58_Y30_N26
\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita25~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita25~0_combout\ = !\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita25~COUT\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	cin => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita25~COUT\,
	combout => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita25~0_combout\);

-- Location: LCCOMB_X59_Y30_N24
\inst7|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst7|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~0_combout\ = (\inst7|LPM_COUNTER_component|auto_generated|safe_q\(25) & (!\inst7|LPM_COUNTER_component|auto_generated|safe_q\(24) & 
-- (\inst7|LPM_COUNTER_component|auto_generated|safe_q\(23) & \inst7|LPM_COUNTER_component|auto_generated|safe_q\(22))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst7|LPM_COUNTER_component|auto_generated|safe_q\(25),
	datab => \inst7|LPM_COUNTER_component|auto_generated|safe_q\(24),
	datac => \inst7|LPM_COUNTER_component|auto_generated|safe_q\(23),
	datad => \inst7|LPM_COUNTER_component|auto_generated|safe_q\(22),
	combout => \inst7|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~0_combout\);

-- Location: LCCOMB_X56_Y30_N8
\inst7|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~1\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst7|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~1_combout\ = (\inst7|LPM_COUNTER_component|auto_generated|safe_q\(20) & (!\inst7|LPM_COUNTER_component|auto_generated|safe_q\(18) & 
-- (\inst7|LPM_COUNTER_component|auto_generated|safe_q\(19) & \inst7|LPM_COUNTER_component|auto_generated|safe_q\(21))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst7|LPM_COUNTER_component|auto_generated|safe_q\(20),
	datab => \inst7|LPM_COUNTER_component|auto_generated|safe_q\(18),
	datac => \inst7|LPM_COUNTER_component|auto_generated|safe_q\(19),
	datad => \inst7|LPM_COUNTER_component|auto_generated|safe_q\(21),
	combout => \inst7|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~1_combout\);

-- Location: LCCOMB_X57_Y30_N16
\inst7|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~2\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst7|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~2_combout\ = (\inst7|LPM_COUNTER_component|auto_generated|safe_q\(15) & (!\inst7|LPM_COUNTER_component|auto_generated|safe_q\(16) & 
-- (\inst7|LPM_COUNTER_component|auto_generated|safe_q\(17) & \inst7|LPM_COUNTER_component|auto_generated|safe_q\(14))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst7|LPM_COUNTER_component|auto_generated|safe_q\(15),
	datab => \inst7|LPM_COUNTER_component|auto_generated|safe_q\(16),
	datac => \inst7|LPM_COUNTER_component|auto_generated|safe_q\(17),
	datad => \inst7|LPM_COUNTER_component|auto_generated|safe_q\(14),
	combout => \inst7|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~2_combout\);

-- Location: LCCOMB_X57_Y31_N16
\inst7|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~3\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst7|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~3_combout\ = (!\inst7|LPM_COUNTER_component|auto_generated|safe_q\(10) & (!\inst7|LPM_COUNTER_component|auto_generated|safe_q\(11) & 
-- (\inst7|LPM_COUNTER_component|auto_generated|safe_q\(13) & \inst7|LPM_COUNTER_component|auto_generated|safe_q\(12))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0001000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst7|LPM_COUNTER_component|auto_generated|safe_q\(10),
	datab => \inst7|LPM_COUNTER_component|auto_generated|safe_q\(11),
	datac => \inst7|LPM_COUNTER_component|auto_generated|safe_q\(13),
	datad => \inst7|LPM_COUNTER_component|auto_generated|safe_q\(12),
	combout => \inst7|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~3_combout\);

-- Location: LCCOMB_X58_Y30_N30
\inst7|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~4\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst7|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~4_combout\ = (\inst7|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~1_combout\ & (\inst7|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~2_combout\ & 
-- (\inst7|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~3_combout\ & \inst7|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~0_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst7|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~1_combout\,
	datab => \inst7|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~2_combout\,
	datac => \inst7|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~3_combout\,
	datad => \inst7|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~0_combout\,
	combout => \inst7|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~4_combout\);

-- Location: LCCOMB_X58_Y31_N0
\inst7|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~5\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst7|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~5_combout\ = (!\inst7|LPM_COUNTER_component|auto_generated|safe_q\(7) & (\inst7|LPM_COUNTER_component|auto_generated|safe_q\(6) & 
-- (!\inst7|LPM_COUNTER_component|auto_generated|safe_q\(9) & !\inst7|LPM_COUNTER_component|auto_generated|safe_q\(8))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst7|LPM_COUNTER_component|auto_generated|safe_q\(7),
	datab => \inst7|LPM_COUNTER_component|auto_generated|safe_q\(6),
	datac => \inst7|LPM_COUNTER_component|auto_generated|safe_q\(9),
	datad => \inst7|LPM_COUNTER_component|auto_generated|safe_q\(8),
	combout => \inst7|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~5_combout\);

-- Location: LCCOMB_X58_Y31_N2
\inst7|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~6\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst7|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~6_combout\ = (\inst7|LPM_COUNTER_component|auto_generated|safe_q\(2) & (\inst7|LPM_COUNTER_component|auto_generated|safe_q\(4) & (\inst7|LPM_COUNTER_component|auto_generated|safe_q\(5) 
-- & \inst7|LPM_COUNTER_component|auto_generated|safe_q\(3))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst7|LPM_COUNTER_component|auto_generated|safe_q\(2),
	datab => \inst7|LPM_COUNTER_component|auto_generated|safe_q\(4),
	datac => \inst7|LPM_COUNTER_component|auto_generated|safe_q\(5),
	datad => \inst7|LPM_COUNTER_component|auto_generated|safe_q\(3),
	combout => \inst7|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~6_combout\);

-- Location: LCCOMB_X58_Y31_N4
\inst7|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~7\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst7|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~7_combout\ = (\inst7|LPM_COUNTER_component|auto_generated|safe_q\(0) & (\inst7|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~5_combout\ & 
-- (\inst7|LPM_COUNTER_component|auto_generated|safe_q\(1) & \inst7|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~6_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst7|LPM_COUNTER_component|auto_generated|safe_q\(0),
	datab => \inst7|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~5_combout\,
	datac => \inst7|LPM_COUNTER_component|auto_generated|safe_q\(1),
	datad => \inst7|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~6_combout\,
	combout => \inst7|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~7_combout\);

-- Location: LCCOMB_X58_Y30_N28
\inst7|LPM_COUNTER_component|auto_generated|cout_actual\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst7|LPM_COUNTER_component|auto_generated|cout_actual~combout\ = (\inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita25~0_combout\) # ((\inst7|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~7_combout\ & 
-- \inst7|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~4_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111110100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst7|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~7_combout\,
	datac => \inst7|LPM_COUNTER_component|auto_generated|cmpr2|aneb_result_wire[0]~4_combout\,
	datad => \inst7|LPM_COUNTER_component|auto_generated|counter_comb_bita25~0_combout\,
	combout => \inst7|LPM_COUNTER_component|auto_generated|cout_actual~combout\);

-- Location: LCCOMB_X59_Y31_N16
\~GND\ : cycloneii_lcell_comb
-- Equation(s):
-- \~GND~combout\ = GND

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	combout => \~GND~combout\);

-- Location: PIN_N2,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
\CLOCK_50~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "input",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => GND,
	padio => ww_CLOCK_50,
	combout => \CLOCK_50~combout\);

-- Location: CLKCTRL_G6
\inst7|LPM_COUNTER_component|auto_generated|safe_q[22]~clkctrl\ : cycloneii_clkctrl
-- pragma translate_off
GENERIC MAP (
	clock_type => "global clock",
	ena_register_mode => "none")
-- pragma translate_on
PORT MAP (
	inclk => \inst7|LPM_COUNTER_component|auto_generated|safe_q[22]~clkctrl_INCLK_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	outclk => \inst7|LPM_COUNTER_component|auto_generated|safe_q[22]~clkctrl_outclk\);

-- Location: CLKCTRL_G2
\CLOCK_50~clkctrl\ : cycloneii_clkctrl
-- pragma translate_off
GENERIC MAP (
	clock_type => "global clock",
	ena_register_mode => "none")
-- pragma translate_on
PORT MAP (
	inclk => \CLOCK_50~clkctrl_INCLK_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	outclk => \CLOCK_50~clkctrl_outclk\);

-- Location: LCCOMB_X63_Y7_N0
\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita0~combout\ = \inst2|LPM_COUNTER_component|auto_generated|safe_q\(0) $ (((VCC) # (!\SW~combout\(0))))
-- \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita0~COUT\ = CARRY(\SW~combout\(0) $ (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(0)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011001110011001",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \SW~combout\(0),
	datab => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(0),
	datad => VCC,
	combout => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita0~combout\,
	cout => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita0~COUT\);

-- Location: LCFF_X63_Y7_N1
\inst2|LPM_COUNTER_component|auto_generated|counter_reg_bit1a[0]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \inst7|LPM_COUNTER_component|auto_generated|safe_q[22]~clkctrl_outclk\,
	datain => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita0~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(0));

-- Location: LCCOMB_X63_Y7_N2
\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita1\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita1~combout\ = (\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita0~COUT\ & (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(1) $ (((\SW~combout\(0)) # (VCC))))) # 
-- (!\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita0~COUT\ & (((\inst2|LPM_COUNTER_component|auto_generated|safe_q\(1)) # (GND))))
-- \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita1~COUT\ = CARRY((\SW~combout\(0) $ (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(1))) # (!\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita0~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110001101111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \SW~combout\(0),
	datab => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(1),
	datad => VCC,
	cin => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita0~COUT\,
	combout => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita1~combout\,
	cout => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita1~COUT\);

-- Location: LCFF_X63_Y7_N3
\inst2|LPM_COUNTER_component|auto_generated|counter_reg_bit1a[1]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \inst7|LPM_COUNTER_component|auto_generated|safe_q[22]~clkctrl_outclk\,
	datain => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita1~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(1));

-- Location: PIN_N25,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
\SW[0]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "input",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => GND,
	padio => ww_SW(0),
	combout => \SW~combout\(0));

-- Location: LCCOMB_X63_Y7_N4
\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita2\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita2~combout\ = (\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita1~COUT\ & (((\inst2|LPM_COUNTER_component|auto_generated|safe_q\(2) & VCC)))) # 
-- (!\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita1~COUT\ & (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(2) $ (((VCC) # (!\SW~combout\(0))))))
-- \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita2~COUT\ = CARRY((!\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita1~COUT\ & (\SW~combout\(0) $ (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(2)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001001",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \SW~combout\(0),
	datab => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(2),
	datad => VCC,
	cin => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita1~COUT\,
	combout => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita2~combout\,
	cout => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita2~COUT\);

-- Location: LCFF_X63_Y7_N5
\inst2|LPM_COUNTER_component|auto_generated|counter_reg_bit1a[2]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \inst7|LPM_COUNTER_component|auto_generated|safe_q[22]~clkctrl_outclk\,
	datain => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita2~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(2));

-- Location: LCCOMB_X63_Y7_N6
\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita3\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita3~combout\ = (\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita2~COUT\ & (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(3) $ (((\SW~combout\(0)) # (VCC))))) # 
-- (!\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita2~COUT\ & ((\inst2|LPM_COUNTER_component|auto_generated|safe_q\(3)) # ((GND))))
-- \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita3~COUT\ = CARRY((\inst2|LPM_COUNTER_component|auto_generated|safe_q\(3) $ (\SW~combout\(0))) # (!\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita2~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001101111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(3),
	datab => \SW~combout\(0),
	datad => VCC,
	cin => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita2~COUT\,
	combout => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita3~combout\,
	cout => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita3~COUT\);

-- Location: LCFF_X63_Y7_N7
\inst2|LPM_COUNTER_component|auto_generated|counter_reg_bit1a[3]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \inst7|LPM_COUNTER_component|auto_generated|safe_q[22]~clkctrl_outclk\,
	datain => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita3~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(3));

-- Location: LCCOMB_X28_Y3_N8
\inst5|Mux0~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst5|Mux0~0_combout\ = (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(0) & ((\inst2|LPM_COUNTER_component|auto_generated|safe_q\(3)) # (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(1) $ 
-- (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(2))))) # (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(0) & ((\inst2|LPM_COUNTER_component|auto_generated|safe_q\(1)) # (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(3) $ 
-- (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(2)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110011111111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(1),
	datab => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(0),
	datac => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(3),
	datad => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(2),
	combout => \inst5|Mux0~0_combout\);

-- Location: LCCOMB_X28_Y3_N18
\inst5|Mux1~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst5|Mux1~0_combout\ = (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(1) & (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(3) & ((\inst2|LPM_COUNTER_component|auto_generated|safe_q\(0)) # 
-- (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(2))))) # (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(1) & (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(0) & (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(3) $ 
-- (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(2)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100100000001110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(1),
	datab => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(0),
	datac => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(3),
	datad => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(2),
	combout => \inst5|Mux1~0_combout\);

-- Location: LCCOMB_X28_Y3_N20
\inst5|Mux2~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst5|Mux2~0_combout\ = (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(1) & (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(0) & (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(3)))) # 
-- (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(1) & ((\inst2|LPM_COUNTER_component|auto_generated|safe_q\(2) & ((!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(3)))) # (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(2) & 
-- (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000110101001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(1),
	datab => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(0),
	datac => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(3),
	datad => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(2),
	combout => \inst5|Mux2~0_combout\);

-- Location: LCCOMB_X28_Y3_N22
\inst5|Mux3~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst5|Mux3~0_combout\ = (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(1) & ((\inst2|LPM_COUNTER_component|auto_generated|safe_q\(0) & ((\inst2|LPM_COUNTER_component|auto_generated|safe_q\(2)))) # 
-- (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(0) & (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(3) & !\inst2|LPM_COUNTER_component|auto_generated|safe_q\(2))))) # (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(1) & 
-- (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(3) & (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(0) $ (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(2)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000100100100100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(1),
	datab => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(0),
	datac => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(3),
	datad => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(2),
	combout => \inst5|Mux3~0_combout\);

-- Location: LCCOMB_X28_Y3_N0
\inst5|Mux4~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst5|Mux4~0_combout\ = (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(3) & (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(2) & ((\inst2|LPM_COUNTER_component|auto_generated|safe_q\(1)) # 
-- (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(0))))) # (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(3) & (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(1) & (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(0) & 
-- !\inst2|LPM_COUNTER_component|auto_generated|safe_q\(2))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011000000000010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(1),
	datab => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(0),
	datac => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(3),
	datad => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(2),
	combout => \inst5|Mux4~0_combout\);

-- Location: LCCOMB_X28_Y3_N2
\inst5|Mux5~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst5|Mux5~0_combout\ = (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(1) & ((\inst2|LPM_COUNTER_component|auto_generated|safe_q\(0) & (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(3))) # 
-- (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(0) & ((\inst2|LPM_COUNTER_component|auto_generated|safe_q\(2)))))) # (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(1) & (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(2) & 
-- (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(0) $ (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(3)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011011010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(1),
	datab => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(0),
	datac => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(3),
	datad => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(2),
	combout => \inst5|Mux5~0_combout\);

-- Location: LCCOMB_X28_Y3_N12
\inst5|Mux6~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst5|Mux6~0_combout\ = (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(3) & (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(0) & (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(1) $ 
-- (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(2))))) # (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(3) & (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(1) & (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(0) $ 
-- (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(2)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100000110000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(1),
	datab => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(0),
	datac => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(3),
	datad => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(2),
	combout => \inst5|Mux6~0_combout\);

-- Location: LCCOMB_X63_Y7_N8
\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita4\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita4~combout\ = (\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita3~COUT\ & (((\inst2|LPM_COUNTER_component|auto_generated|safe_q\(4) & VCC)))) # 
-- (!\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita3~COUT\ & (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(4) $ (((VCC) # (!\SW~combout\(0))))))
-- \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita4~COUT\ = CARRY((!\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita3~COUT\ & (\SW~combout\(0) $ (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(4)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001001",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \SW~combout\(0),
	datab => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(4),
	datad => VCC,
	cin => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita3~COUT\,
	combout => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita4~combout\,
	cout => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita4~COUT\);

-- Location: LCFF_X63_Y7_N9
\inst2|LPM_COUNTER_component|auto_generated|counter_reg_bit1a[4]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \inst7|LPM_COUNTER_component|auto_generated|safe_q[22]~clkctrl_outclk\,
	datain => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita4~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(4));

-- Location: LCCOMB_X63_Y7_N10
\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita5\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita5~combout\ = (\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita4~COUT\ & (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(5) $ (((\SW~combout\(0)) # (VCC))))) # 
-- (!\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita4~COUT\ & ((\inst2|LPM_COUNTER_component|auto_generated|safe_q\(5)) # ((GND))))
-- \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita5~COUT\ = CARRY((\inst2|LPM_COUNTER_component|auto_generated|safe_q\(5) $ (\SW~combout\(0))) # (!\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita4~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001101111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(5),
	datab => \SW~combout\(0),
	datad => VCC,
	cin => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita4~COUT\,
	combout => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita5~combout\,
	cout => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita5~COUT\);

-- Location: LCCOMB_X63_Y7_N12
\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita6\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita6~combout\ = (\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita5~COUT\ & (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(6) & ((VCC)))) # 
-- (!\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita5~COUT\ & (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(6) $ (((VCC) # (!\SW~combout\(0))))))
-- \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita6~COUT\ = CARRY((!\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita5~COUT\ & (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(6) $ (!\SW~combout\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001001",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(6),
	datab => \SW~combout\(0),
	datad => VCC,
	cin => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita5~COUT\,
	combout => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita6~combout\,
	cout => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita6~COUT\);

-- Location: LCFF_X63_Y7_N13
\inst2|LPM_COUNTER_component|auto_generated|counter_reg_bit1a[6]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \inst7|LPM_COUNTER_component|auto_generated|safe_q[22]~clkctrl_outclk\,
	datain => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita6~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(6));

-- Location: LCFF_X63_Y7_N11
\inst2|LPM_COUNTER_component|auto_generated|counter_reg_bit1a[5]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \inst7|LPM_COUNTER_component|auto_generated|safe_q[22]~clkctrl_outclk\,
	datain => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita5~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(5));

-- Location: LCCOMB_X63_Y7_N14
\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita7\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita7~combout\ = (\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita6~COUT\ & (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(7) $ (((\SW~combout\(0)) # (VCC))))) # 
-- (!\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita6~COUT\ & ((\inst2|LPM_COUNTER_component|auto_generated|safe_q\(7)) # ((GND))))
-- \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita7~COUT\ = CARRY((\inst2|LPM_COUNTER_component|auto_generated|safe_q\(7) $ (\SW~combout\(0))) # (!\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita6~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001101111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(7),
	datab => \SW~combout\(0),
	datad => VCC,
	cin => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita6~COUT\,
	combout => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita7~combout\,
	cout => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita7~COUT\);

-- Location: LCFF_X63_Y7_N15
\inst2|LPM_COUNTER_component|auto_generated|counter_reg_bit1a[7]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \inst7|LPM_COUNTER_component|auto_generated|safe_q[22]~clkctrl_outclk\,
	datain => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita7~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(7));

-- Location: LCCOMB_X64_Y4_N0
\inst4|Mux0~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst4|Mux0~0_combout\ = (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(4) & ((\inst2|LPM_COUNTER_component|auto_generated|safe_q\(7)) # (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(6) $ 
-- (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(5))))) # (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(4) & ((\inst2|LPM_COUNTER_component|auto_generated|safe_q\(5)) # (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(6) $ 
-- (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(7)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111101101111100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(4),
	datab => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(6),
	datac => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(5),
	datad => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(7),
	combout => \inst4|Mux0~0_combout\);

-- Location: LCCOMB_X64_Y4_N2
\inst4|Mux1~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst4|Mux1~0_combout\ = (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(4) & (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(7) $ (((\inst2|LPM_COUNTER_component|auto_generated|safe_q\(5)) # 
-- (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(6)))))) # (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(4) & (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(6) & (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(5) & 
-- !\inst2|LPM_COUNTER_component|auto_generated|safe_q\(7))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100010110010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(4),
	datab => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(6),
	datac => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(5),
	datad => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(7),
	combout => \inst4|Mux1~0_combout\);

-- Location: LCCOMB_X64_Y4_N20
\inst4|Mux2~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst4|Mux2~0_combout\ = (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(5) & (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(4) & ((!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(7))))) # 
-- (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(5) & ((\inst2|LPM_COUNTER_component|auto_generated|safe_q\(6) & ((!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(7)))) # (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(6) & 
-- (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(4)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000001010101110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(4),
	datab => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(6),
	datac => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(5),
	datad => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(7),
	combout => \inst4|Mux2~0_combout\);

-- Location: LCCOMB_X64_Y4_N14
\inst4|Mux3~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst4|Mux3~0_combout\ = (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(5) & ((\inst2|LPM_COUNTER_component|auto_generated|safe_q\(4) & (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(6))) # 
-- (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(4) & (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(6) & \inst2|LPM_COUNTER_component|auto_generated|safe_q\(7))))) # (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(5) & 
-- (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(7) & (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(4) $ (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(6)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001000010000110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(4),
	datab => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(6),
	datac => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(5),
	datad => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(7),
	combout => \inst4|Mux3~0_combout\);

-- Location: LCCOMB_X64_Y4_N16
\inst4|Mux4~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst4|Mux4~0_combout\ = (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(6) & (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(7) & ((\inst2|LPM_COUNTER_component|auto_generated|safe_q\(5)) # 
-- (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(4))))) # (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(6) & (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(4) & (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(5) & 
-- !\inst2|LPM_COUNTER_component|auto_generated|safe_q\(7))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100010000010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(4),
	datab => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(6),
	datac => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(5),
	datad => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(7),
	combout => \inst4|Mux4~0_combout\);

-- Location: LCCOMB_X64_Y4_N26
\inst4|Mux5~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst4|Mux5~0_combout\ = (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(5) & ((\inst2|LPM_COUNTER_component|auto_generated|safe_q\(4) & ((\inst2|LPM_COUNTER_component|auto_generated|safe_q\(7)))) # 
-- (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(4) & (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(6))))) # (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(5) & (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(6) & 
-- (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(4) $ (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(7)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1110010001001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(4),
	datab => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(6),
	datac => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(5),
	datad => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(7),
	combout => \inst4|Mux5~0_combout\);

-- Location: LCCOMB_X64_Y4_N12
\inst4|Mux6~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst4|Mux6~0_combout\ = (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(6) & (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(5) & (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(4) $ 
-- (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(7))))) # (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(6) & (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(4) & (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(5) $ 
-- (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(7)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010100000000110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(4),
	datab => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(6),
	datac => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(5),
	datad => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(7),
	combout => \inst4|Mux6~0_combout\);

-- Location: LCCOMB_X63_Y7_N16
\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita8\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita8~combout\ = (\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita7~COUT\ & (((\inst2|LPM_COUNTER_component|auto_generated|safe_q\(8) & VCC)))) # 
-- (!\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita7~COUT\ & (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(8) $ (((VCC) # (!\SW~combout\(0))))))
-- \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita8~COUT\ = CARRY((!\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita7~COUT\ & (\SW~combout\(0) $ (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(8)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001001",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \SW~combout\(0),
	datab => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(8),
	datad => VCC,
	cin => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita7~COUT\,
	combout => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita8~combout\,
	cout => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita8~COUT\);

-- Location: LCFF_X63_Y7_N17
\inst2|LPM_COUNTER_component|auto_generated|counter_reg_bit1a[8]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \inst7|LPM_COUNTER_component|auto_generated|safe_q[22]~clkctrl_outclk\,
	datain => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita8~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(8));

-- Location: LCCOMB_X63_Y7_N18
\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita9\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita9~combout\ = (\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita8~COUT\ & (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(9) $ (((\SW~combout\(0)) # (VCC))))) # 
-- (!\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita8~COUT\ & (((\inst2|LPM_COUNTER_component|auto_generated|safe_q\(9)) # (GND))))
-- \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita9~COUT\ = CARRY((\SW~combout\(0) $ (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(9))) # (!\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita8~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110001101111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \SW~combout\(0),
	datab => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(9),
	datad => VCC,
	cin => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita8~COUT\,
	combout => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita9~combout\,
	cout => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita9~COUT\);

-- Location: LCFF_X63_Y7_N19
\inst2|LPM_COUNTER_component|auto_generated|counter_reg_bit1a[9]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \inst7|LPM_COUNTER_component|auto_generated|safe_q[22]~clkctrl_outclk\,
	datain => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita9~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(9));

-- Location: LCCOMB_X63_Y7_N20
\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita10\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita10~combout\ = (\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita9~COUT\ & (((\inst2|LPM_COUNTER_component|auto_generated|safe_q\(10) & VCC)))) # 
-- (!\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita9~COUT\ & (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(10) $ (((VCC) # (!\SW~combout\(0))))))
-- \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita10~COUT\ = CARRY((!\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita9~COUT\ & (\SW~combout\(0) $ (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(10)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001001",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \SW~combout\(0),
	datab => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(10),
	datad => VCC,
	cin => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita9~COUT\,
	combout => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita10~combout\,
	cout => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita10~COUT\);

-- Location: LCFF_X63_Y7_N21
\inst2|LPM_COUNTER_component|auto_generated|counter_reg_bit1a[10]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \inst7|LPM_COUNTER_component|auto_generated|safe_q[22]~clkctrl_outclk\,
	datain => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita10~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(10));

-- Location: LCCOMB_X63_Y7_N22
\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita11\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita11~combout\ = (\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita10~COUT\ & (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(11) $ (((\SW~combout\(0)) # (VCC))))) # 
-- (!\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita10~COUT\ & (((\inst2|LPM_COUNTER_component|auto_generated|safe_q\(11)) # (GND))))
-- \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita11~COUT\ = CARRY((\SW~combout\(0) $ (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(11))) # (!\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita10~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110001101111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \SW~combout\(0),
	datab => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(11),
	datad => VCC,
	cin => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita10~COUT\,
	combout => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita11~combout\,
	cout => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita11~COUT\);

-- Location: LCFF_X63_Y7_N23
\inst2|LPM_COUNTER_component|auto_generated|counter_reg_bit1a[11]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \inst7|LPM_COUNTER_component|auto_generated|safe_q[22]~clkctrl_outclk\,
	datain => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita11~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(11));

-- Location: LCCOMB_X64_Y7_N0
\inst|Mux0~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|Mux0~0_combout\ = (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(8) & ((\inst2|LPM_COUNTER_component|auto_generated|safe_q\(11)) # (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(9) $ 
-- (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(10))))) # (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(8) & ((\inst2|LPM_COUNTER_component|auto_generated|safe_q\(9)) # (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(11) $ 
-- (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(10)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011111011011110",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(11),
	datab => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(9),
	datac => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(10),
	datad => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(8),
	combout => \inst|Mux0~0_combout\);

-- Location: LCCOMB_X64_Y7_N2
\inst|Mux1~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|Mux1~0_combout\ = (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(9) & (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(11) & ((\inst2|LPM_COUNTER_component|auto_generated|safe_q\(8)) # 
-- (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(10))))) # (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(9) & (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(8) & (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(11) $ 
-- (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(10)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110010100000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(11),
	datab => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(9),
	datac => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(10),
	datad => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(8),
	combout => \inst|Mux1~0_combout\);

-- Location: LCCOMB_X64_Y7_N20
\inst|Mux2~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|Mux2~0_combout\ = (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(9) & (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(11) & ((\inst2|LPM_COUNTER_component|auto_generated|safe_q\(8))))) # 
-- (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(9) & ((\inst2|LPM_COUNTER_component|auto_generated|safe_q\(10) & (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(11))) # (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(10) & 
-- ((\inst2|LPM_COUNTER_component|auto_generated|safe_q\(8))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101011100010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(11),
	datab => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(9),
	datac => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(10),
	datad => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(8),
	combout => \inst|Mux2~0_combout\);

-- Location: LCCOMB_X64_Y7_N6
\inst|Mux3~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|Mux3~0_combout\ = (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(9) & ((\inst2|LPM_COUNTER_component|auto_generated|safe_q\(10) & ((\inst2|LPM_COUNTER_component|auto_generated|safe_q\(8)))) # 
-- (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(10) & (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(11) & !\inst2|LPM_COUNTER_component|auto_generated|safe_q\(8))))) # (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(9) & 
-- (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(11) & (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(10) $ (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(8)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000100011000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(11),
	datab => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(9),
	datac => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(10),
	datad => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(8),
	combout => \inst|Mux3~0_combout\);

-- Location: LCCOMB_X64_Y7_N16
\inst|Mux4~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|Mux4~0_combout\ = (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(11) & (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(10) & ((\inst2|LPM_COUNTER_component|auto_generated|safe_q\(9)) # 
-- (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(8))))) # (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(11) & (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(9) & (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(10) & 
-- !\inst2|LPM_COUNTER_component|auto_generated|safe_q\(8))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1000000010100100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(11),
	datab => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(9),
	datac => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(10),
	datad => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(8),
	combout => \inst|Mux4~0_combout\);

-- Location: LCCOMB_X64_Y7_N18
\inst|Mux5~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|Mux5~0_combout\ = (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(11) & ((\inst2|LPM_COUNTER_component|auto_generated|safe_q\(8) & (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(9))) # 
-- (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(8) & ((\inst2|LPM_COUNTER_component|auto_generated|safe_q\(10)))))) # (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(11) & (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(10) & 
-- (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(9) $ (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(8)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001100011100000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(11),
	datab => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(9),
	datac => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(10),
	datad => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(8),
	combout => \inst|Mux5~0_combout\);

-- Location: LCCOMB_X64_Y7_N12
\inst|Mux6~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst|Mux6~0_combout\ = (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(11) & (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(8) & (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(9) $ 
-- (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(10))))) # (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(11) & (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(9) & (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(10) $ 
-- (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(8)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0010100100010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(11),
	datab => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(9),
	datac => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(10),
	datad => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(8),
	combout => \inst|Mux6~0_combout\);

-- Location: LCCOMB_X63_Y7_N24
\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita12\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita12~combout\ = (\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita11~COUT\ & (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(12) & ((VCC)))) # 
-- (!\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita11~COUT\ & (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(12) $ (((VCC) # (!\SW~combout\(0))))))
-- \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita12~COUT\ = CARRY((!\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita11~COUT\ & (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(12) $ (!\SW~combout\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001001",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(12),
	datab => \SW~combout\(0),
	datad => VCC,
	cin => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita11~COUT\,
	combout => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita12~combout\,
	cout => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita12~COUT\);

-- Location: LCCOMB_X63_Y7_N26
\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita13\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita13~combout\ = (\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita12~COUT\ & (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(13) $ (((\SW~combout\(0)) # (VCC))))) # 
-- (!\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita12~COUT\ & ((\inst2|LPM_COUNTER_component|auto_generated|safe_q\(13)) # ((GND))))
-- \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita13~COUT\ = CARRY((\inst2|LPM_COUNTER_component|auto_generated|safe_q\(13) $ (\SW~combout\(0))) # (!\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita12~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001101111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(13),
	datab => \SW~combout\(0),
	datad => VCC,
	cin => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita12~COUT\,
	combout => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita13~combout\,
	cout => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita13~COUT\);

-- Location: LCCOMB_X63_Y7_N28
\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita14\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita14~combout\ = (\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita13~COUT\ & (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(14) & ((VCC)))) # 
-- (!\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita13~COUT\ & (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(14) $ (((VCC) # (!\SW~combout\(0))))))
-- \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita14~COUT\ = CARRY((!\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita13~COUT\ & (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(14) $ (!\SW~combout\(0)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001001",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(14),
	datab => \SW~combout\(0),
	datad => VCC,
	cin => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita13~COUT\,
	combout => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita14~combout\,
	cout => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita14~COUT\);

-- Location: LCCOMB_X63_Y7_N30
\inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita15\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita15~combout\ = \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita14~COUT\ $ (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(15))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111111110000",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(15),
	cin => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita14~COUT\,
	combout => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita15~combout\);

-- Location: LCFF_X63_Y7_N31
\inst2|LPM_COUNTER_component|auto_generated|counter_reg_bit1a[15]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \inst7|LPM_COUNTER_component|auto_generated|safe_q[22]~clkctrl_outclk\,
	datain => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita15~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(15));

-- Location: LCFF_X63_Y7_N25
\inst2|LPM_COUNTER_component|auto_generated|counter_reg_bit1a[12]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \inst7|LPM_COUNTER_component|auto_generated|safe_q[22]~clkctrl_outclk\,
	datain => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita12~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(12));

-- Location: LCFF_X63_Y7_N27
\inst2|LPM_COUNTER_component|auto_generated|counter_reg_bit1a[13]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \inst7|LPM_COUNTER_component|auto_generated|safe_q[22]~clkctrl_outclk\,
	datain => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita13~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(13));

-- Location: LCFF_X63_Y7_N29
\inst2|LPM_COUNTER_component|auto_generated|counter_reg_bit1a[14]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \inst7|LPM_COUNTER_component|auto_generated|safe_q[22]~clkctrl_outclk\,
	datain => \inst2|LPM_COUNTER_component|auto_generated|counter_comb_bita14~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(14));

-- Location: LCCOMB_X64_Y8_N0
\inst6|Mux0~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst6|Mux0~0_combout\ = (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(12) & ((\inst2|LPM_COUNTER_component|auto_generated|safe_q\(15)) # (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(13) $ 
-- (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(14))))) # (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(12) & ((\inst2|LPM_COUNTER_component|auto_generated|safe_q\(13)) # (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(15) $ 
-- (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(14)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011110111111010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(15),
	datab => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(12),
	datac => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(13),
	datad => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(14),
	combout => \inst6|Mux0~0_combout\);

-- Location: LCCOMB_X64_Y8_N2
\inst6|Mux1~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst6|Mux1~0_combout\ = (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(12) & (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(15) $ (((\inst2|LPM_COUNTER_component|auto_generated|safe_q\(13)) # 
-- (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(14)))))) # (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(12) & (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(15) & (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(13) & 
-- !\inst2|LPM_COUNTER_component|auto_generated|safe_q\(14))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100100001010100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(15),
	datab => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(12),
	datac => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(13),
	datad => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(14),
	combout => \inst6|Mux1~0_combout\);

-- Location: LCCOMB_X64_Y8_N20
\inst6|Mux2~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst6|Mux2~0_combout\ = (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(13) & (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(15) & (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(12)))) # 
-- (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(13) & ((\inst2|LPM_COUNTER_component|auto_generated|safe_q\(14) & (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(15))) # (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(14) & 
-- ((\inst2|LPM_COUNTER_component|auto_generated|safe_q\(12))))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0100010101001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(15),
	datab => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(12),
	datac => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(13),
	datad => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(14),
	combout => \inst6|Mux2~0_combout\);

-- Location: LCCOMB_X64_Y8_N14
\inst6|Mux3~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst6|Mux3~0_combout\ = (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(13) & ((\inst2|LPM_COUNTER_component|auto_generated|safe_q\(12) & ((\inst2|LPM_COUNTER_component|auto_generated|safe_q\(14)))) # 
-- (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(12) & (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(15) & !\inst2|LPM_COUNTER_component|auto_generated|safe_q\(14))))) # (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(13) & 
-- (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(15) & (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(12) $ (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(14)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000100100100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(15),
	datab => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(12),
	datac => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(13),
	datad => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(14),
	combout => \inst6|Mux3~0_combout\);

-- Location: LCCOMB_X64_Y8_N16
\inst6|Mux4~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst6|Mux4~0_combout\ = (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(15) & (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(14) & ((\inst2|LPM_COUNTER_component|auto_generated|safe_q\(13)) # 
-- (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(12))))) # (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(15) & (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(12) & (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(13) & 
-- !\inst2|LPM_COUNTER_component|auto_generated|safe_q\(14))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010001000010000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(15),
	datab => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(12),
	datac => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(13),
	datad => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(14),
	combout => \inst6|Mux4~0_combout\);

-- Location: LCCOMB_X64_Y8_N26
\inst6|Mux5~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst6|Mux5~0_combout\ = (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(15) & ((\inst2|LPM_COUNTER_component|auto_generated|safe_q\(12) & (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(13))) # 
-- (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(12) & ((\inst2|LPM_COUNTER_component|auto_generated|safe_q\(14)))))) # (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(15) & (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(14) & 
-- (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(12) $ (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(13)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1011011010000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(15),
	datab => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(12),
	datac => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(13),
	datad => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(14),
	combout => \inst6|Mux5~0_combout\);

-- Location: LCCOMB_X64_Y8_N12
\inst6|Mux6~0\ : cycloneii_lcell_comb
-- Equation(s):
-- \inst6|Mux6~0_combout\ = (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(15) & (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(12) & (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(13) $ 
-- (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(14))))) # (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(15) & (!\inst2|LPM_COUNTER_component|auto_generated|safe_q\(13) & (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(12) $ 
-- (\inst2|LPM_COUNTER_component|auto_generated|safe_q\(14)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100110000100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(15),
	datab => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(12),
	datac => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(13),
	datad => \inst2|LPM_COUNTER_component|auto_generated|safe_q\(14),
	combout => \inst6|Mux6~0_combout\);

-- Location: PIN_V13,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\HEX0[6]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \inst5|ALT_INV_Mux0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_HEX0(6));

-- Location: PIN_V14,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\HEX0[5]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \inst5|Mux1~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_HEX0(5));

-- Location: PIN_AE11,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\HEX0[4]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \inst5|Mux2~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_HEX0(4));

-- Location: PIN_AD11,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\HEX0[3]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \inst5|Mux3~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_HEX0(3));

-- Location: PIN_AC12,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\HEX0[2]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \inst5|Mux4~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_HEX0(2));

-- Location: PIN_AB12,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\HEX0[1]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \inst5|Mux5~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_HEX0(1));

-- Location: PIN_AF10,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\HEX0[0]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \inst5|Mux6~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_HEX0(0));

-- Location: PIN_AB24,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\HEX1[6]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \inst4|ALT_INV_Mux0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_HEX1(6));

-- Location: PIN_AA23,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\HEX1[5]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \inst4|Mux1~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_HEX1(5));

-- Location: PIN_AA24,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\HEX1[4]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \inst4|Mux2~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_HEX1(4));

-- Location: PIN_Y22,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\HEX1[3]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \inst4|Mux3~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_HEX1(3));

-- Location: PIN_W21,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\HEX1[2]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \inst4|Mux4~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_HEX1(2));

-- Location: PIN_V21,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\HEX1[1]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \inst4|Mux5~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_HEX1(1));

-- Location: PIN_V20,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\HEX1[0]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \inst4|Mux6~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_HEX1(0));

-- Location: PIN_Y24,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\HEX2[6]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \inst|ALT_INV_Mux0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_HEX2(6));

-- Location: PIN_AB25,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\HEX2[5]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \inst|Mux1~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_HEX2(5));

-- Location: PIN_AB26,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\HEX2[4]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \inst|Mux2~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_HEX2(4));

-- Location: PIN_AC26,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\HEX2[3]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \inst|Mux3~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_HEX2(3));

-- Location: PIN_AC25,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\HEX2[2]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \inst|Mux4~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_HEX2(2));

-- Location: PIN_V22,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\HEX2[1]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \inst|Mux5~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_HEX2(1));

-- Location: PIN_AB23,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\HEX2[0]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \inst|Mux6~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_HEX2(0));

-- Location: PIN_W24,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\HEX3[6]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \inst6|ALT_INV_Mux0~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_HEX3(6));

-- Location: PIN_U22,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\HEX3[5]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \inst6|Mux1~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_HEX3(5));

-- Location: PIN_Y25,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\HEX3[4]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \inst6|Mux2~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_HEX3(4));

-- Location: PIN_Y26,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\HEX3[3]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \inst6|Mux3~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_HEX3(3));

-- Location: PIN_AA26,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\HEX3[2]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \inst6|Mux4~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_HEX3(2));

-- Location: PIN_AA25,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\HEX3[1]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \inst6|Mux5~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_HEX3(1));

-- Location: PIN_Y23,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\HEX3[0]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => \inst6|Mux6~0_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_HEX3(0));
END structure;


