-- Copyright (C) 1991-2010 Altera Corporation
-- Your use of Altera Corporation's design tools, logic functions 
-- and other software and tools, and its AMPP partner logic 
-- functions, and any output files from any of the foregoing 
-- (including device programming or simulation files), and any 
-- associated documentation or information are expressly subject 
-- to the terms and conditions of the Altera Program License 
-- Subscription Agreement, Altera MegaCore Function License 
-- Agreement, or other applicable license agreement, including, 
-- without limitation, that your use is for the sole purpose of 
-- programming logic devices manufactured by Altera and sold by 
-- Altera or its authorized distributors.  Please refer to the 
-- applicable agreement for further details.

-- VENDOR "Altera"
-- PROGRAM "Quartus II"
-- VERSION "Version 10.1 Build 153 11/29/2010 SJ Full Version"

-- DATE "02/05/2011 18:04:37"

-- 
-- Device: Altera EP2C35F672C8 Package FBGA672
-- 

-- 
-- This VHDL file should be used for ModelSim-Altera (VHDL) only
-- 

LIBRARY CYCLONEII;
LIBRARY IEEE;
USE CYCLONEII.CYCLONEII_COMPONENTS.ALL;
USE IEEE.STD_LOGIC_1164.ALL;
USE IEEE.STD_LOGIC_ARITH.ALL;

ENTITY 	cpt_8bits IS
    PORT (
	clk : IN std_logic;
	up_down : IN std_logic;
	q : OUT STD.STANDARD.integer range 0 TO 255
	);
END cpt_8bits;

-- Design Ports Information
-- q[0]	=>  Location: PIN_AD10,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- q[1]	=>  Location: PIN_C24,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- q[2]	=>  Location: PIN_J14,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- q[3]	=>  Location: PIN_D11,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- q[4]	=>  Location: PIN_AF10,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- q[5]	=>  Location: PIN_F24,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- q[6]	=>  Location: PIN_F7,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- q[7]	=>  Location: PIN_J1,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
-- clk	=>  Location: PIN_P2,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
-- up_down	=>  Location: PIN_C13,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default


ARCHITECTURE structure OF cpt_8bits IS
SIGNAL gnd : std_logic := '0';
SIGNAL vcc : std_logic := '1';
SIGNAL unknown : std_logic := 'X';
SIGNAL devoe : std_logic := '1';
SIGNAL devclrn : std_logic := '1';
SIGNAL devpor : std_logic := '1';
SIGNAL ww_devoe : std_logic;
SIGNAL ww_devclrn : std_logic;
SIGNAL ww_devpor : std_logic;
SIGNAL ww_clk : std_logic;
SIGNAL ww_up_down : std_logic;
SIGNAL ww_q : std_logic_vector(7 DOWNTO 0);
SIGNAL \clk~clkctrl_INCLK_bus\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \clk~combout\ : std_logic;
SIGNAL \clk~clkctrl_outclk\ : std_logic;
SIGNAL \cnt[0]~23_combout\ : std_logic;
SIGNAL \cnt[1]~8_cout\ : std_logic;
SIGNAL \cnt[1]~9_combout\ : std_logic;
SIGNAL \cnt[1]~10\ : std_logic;
SIGNAL \cnt[2]~11_combout\ : std_logic;
SIGNAL \up_down~combout\ : std_logic;
SIGNAL \cnt[2]~12\ : std_logic;
SIGNAL \cnt[3]~13_combout\ : std_logic;
SIGNAL \cnt[3]~14\ : std_logic;
SIGNAL \cnt[4]~15_combout\ : std_logic;
SIGNAL \cnt[4]~16\ : std_logic;
SIGNAL \cnt[5]~17_combout\ : std_logic;
SIGNAL \cnt[5]~18\ : std_logic;
SIGNAL \cnt[6]~19_combout\ : std_logic;
SIGNAL \cnt[6]~20\ : std_logic;
SIGNAL \cnt[7]~21_combout\ : std_logic;
SIGNAL cnt : std_logic_vector(7 DOWNTO 0);

BEGIN

ww_clk <= clk;
ww_up_down <= up_down;
q <= IEEE.STD_LOGIC_ARITH.CONV_INTEGER(UNSIGNED(ww_q));
ww_devoe <= devoe;
ww_devclrn <= devclrn;
ww_devpor <= devpor;

\clk~clkctrl_INCLK_bus\ <= (gnd & gnd & gnd & \clk~combout\);

-- Location: PIN_P2,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
\clk~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "input",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => GND,
	padio => ww_clk,
	combout => \clk~combout\);

-- Location: CLKCTRL_G3
\clk~clkctrl\ : cycloneii_clkctrl
-- pragma translate_off
GENERIC MAP (
	clock_type => "global clock",
	ena_register_mode => "none")
-- pragma translate_on
PORT MAP (
	inclk => \clk~clkctrl_INCLK_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	outclk => \clk~clkctrl_outclk\);

-- Location: LCCOMB_X24_Y32_N24
\cnt[0]~23\ : cycloneii_lcell_comb
-- Equation(s):
-- \cnt[0]~23_combout\ = !cnt(0)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111100001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => cnt(0),
	combout => \cnt[0]~23_combout\);

-- Location: LCFF_X24_Y32_N25
\cnt[0]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	datain => \cnt[0]~23_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => cnt(0));

-- Location: LCCOMB_X24_Y32_N0
\cnt[1]~8\ : cycloneii_lcell_comb
-- Equation(s):
-- \cnt[1]~8_cout\ = CARRY(cnt(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => cnt(0),
	datad => VCC,
	cout => \cnt[1]~8_cout\);

-- Location: LCCOMB_X24_Y32_N2
\cnt[1]~9\ : cycloneii_lcell_comb
-- Equation(s):
-- \cnt[1]~9_combout\ = (\up_down~combout\ & ((cnt(1) & (!\cnt[1]~8_cout\)) # (!cnt(1) & ((\cnt[1]~8_cout\) # (GND))))) # (!\up_down~combout\ & ((cnt(1) & (\cnt[1]~8_cout\ & VCC)) # (!cnt(1) & (!\cnt[1]~8_cout\))))
-- \cnt[1]~10\ = CARRY((\up_down~combout\ & ((!\cnt[1]~8_cout\) # (!cnt(1)))) # (!\up_down~combout\ & (!cnt(1) & !\cnt[1]~8_cout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100100101011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \up_down~combout\,
	datab => cnt(1),
	datad => VCC,
	cin => \cnt[1]~8_cout\,
	combout => \cnt[1]~9_combout\,
	cout => \cnt[1]~10\);

-- Location: LCFF_X24_Y32_N3
\cnt[1]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	datain => \cnt[1]~9_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => cnt(1));

-- Location: LCCOMB_X24_Y32_N4
\cnt[2]~11\ : cycloneii_lcell_comb
-- Equation(s):
-- \cnt[2]~11_combout\ = ((\up_down~combout\ $ (cnt(2) $ (\cnt[1]~10\)))) # (GND)
-- \cnt[2]~12\ = CARRY((\up_down~combout\ & (cnt(2) & !\cnt[1]~10\)) # (!\up_down~combout\ & ((cnt(2)) # (!\cnt[1]~10\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011001001101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \up_down~combout\,
	datab => cnt(2),
	datad => VCC,
	cin => \cnt[1]~10\,
	combout => \cnt[2]~11_combout\,
	cout => \cnt[2]~12\);

-- Location: LCFF_X24_Y32_N5
\cnt[2]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	datain => \cnt[2]~11_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => cnt(2));

-- Location: PIN_C13,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
\up_down~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "input",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => GND,
	padio => ww_up_down,
	combout => \up_down~combout\);

-- Location: LCCOMB_X24_Y32_N6
\cnt[3]~13\ : cycloneii_lcell_comb
-- Equation(s):
-- \cnt[3]~13_combout\ = (cnt(3) & ((\up_down~combout\ & (!\cnt[2]~12\)) # (!\up_down~combout\ & (\cnt[2]~12\ & VCC)))) # (!cnt(3) & ((\up_down~combout\ & ((\cnt[2]~12\) # (GND))) # (!\up_down~combout\ & (!\cnt[2]~12\))))
-- \cnt[3]~14\ = CARRY((cnt(3) & (\up_down~combout\ & !\cnt[2]~12\)) # (!cnt(3) & ((\up_down~combout\) # (!\cnt[2]~12\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100101001101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => cnt(3),
	datab => \up_down~combout\,
	datad => VCC,
	cin => \cnt[2]~12\,
	combout => \cnt[3]~13_combout\,
	cout => \cnt[3]~14\);

-- Location: LCFF_X24_Y32_N7
\cnt[3]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	datain => \cnt[3]~13_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => cnt(3));

-- Location: LCCOMB_X24_Y32_N8
\cnt[4]~15\ : cycloneii_lcell_comb
-- Equation(s):
-- \cnt[4]~15_combout\ = ((\up_down~combout\ $ (cnt(4) $ (\cnt[3]~14\)))) # (GND)
-- \cnt[4]~16\ = CARRY((\up_down~combout\ & (cnt(4) & !\cnt[3]~14\)) # (!\up_down~combout\ & ((cnt(4)) # (!\cnt[3]~14\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011001001101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \up_down~combout\,
	datab => cnt(4),
	datad => VCC,
	cin => \cnt[3]~14\,
	combout => \cnt[4]~15_combout\,
	cout => \cnt[4]~16\);

-- Location: LCFF_X24_Y32_N9
\cnt[4]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	datain => \cnt[4]~15_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => cnt(4));

-- Location: LCCOMB_X24_Y32_N10
\cnt[5]~17\ : cycloneii_lcell_comb
-- Equation(s):
-- \cnt[5]~17_combout\ = (cnt(5) & ((\up_down~combout\ & (!\cnt[4]~16\)) # (!\up_down~combout\ & (\cnt[4]~16\ & VCC)))) # (!cnt(5) & ((\up_down~combout\ & ((\cnt[4]~16\) # (GND))) # (!\up_down~combout\ & (!\cnt[4]~16\))))
-- \cnt[5]~18\ = CARRY((cnt(5) & (\up_down~combout\ & !\cnt[4]~16\)) # (!cnt(5) & ((\up_down~combout\) # (!\cnt[4]~16\))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0110100101001101",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => cnt(5),
	datab => \up_down~combout\,
	datad => VCC,
	cin => \cnt[4]~16\,
	combout => \cnt[5]~17_combout\,
	cout => \cnt[5]~18\);

-- Location: LCFF_X24_Y32_N11
\cnt[5]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	datain => \cnt[5]~17_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => cnt(5));

-- Location: LCCOMB_X24_Y32_N12
\cnt[6]~19\ : cycloneii_lcell_comb
-- Equation(s):
-- \cnt[6]~19_combout\ = ((cnt(6) $ (\up_down~combout\ $ (\cnt[5]~18\)))) # (GND)
-- \cnt[6]~20\ = CARRY((cnt(6) & ((!\cnt[5]~18\) # (!\up_down~combout\))) # (!cnt(6) & (!\up_down~combout\ & !\cnt[5]~18\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1001011000101011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => cnt(6),
	datab => \up_down~combout\,
	datad => VCC,
	cin => \cnt[5]~18\,
	combout => \cnt[6]~19_combout\,
	cout => \cnt[6]~20\);

-- Location: LCFF_X24_Y32_N13
\cnt[6]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	datain => \cnt[6]~19_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => cnt(6));

-- Location: LCCOMB_X24_Y32_N14
\cnt[7]~21\ : cycloneii_lcell_comb
-- Equation(s):
-- \cnt[7]~21_combout\ = \up_down~combout\ $ (\cnt[6]~20\ $ (!cnt(7)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110011000011",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \up_down~combout\,
	datad => cnt(7),
	cin => \cnt[6]~20\,
	combout => \cnt[7]~21_combout\);

-- Location: LCFF_X24_Y32_N15
\cnt[7]\ : cycloneii_lcell_ff
PORT MAP (
	clk => \clk~clkctrl_outclk\,
	datain => \cnt[7]~21_combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	regout => cnt(7));

-- Location: PIN_AD10,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\q[0]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => cnt(0),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_q(0));

-- Location: PIN_C24,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\q[1]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => cnt(1),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_q(1));

-- Location: PIN_J14,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\q[2]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => cnt(2),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_q(2));

-- Location: PIN_D11,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\q[3]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => cnt(3),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_q(3));

-- Location: PIN_AF10,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\q[4]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => cnt(4),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_q(4));

-- Location: PIN_F24,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\q[5]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => cnt(5),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_q(5));

-- Location: PIN_F7,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\q[6]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => cnt(6),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_q(6));

-- Location: PIN_J1,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 24mA
\q[7]~I\ : cycloneii_io
-- pragma translate_off
GENERIC MAP (
	input_async_reset => "none",
	input_power_up => "low",
	input_register_mode => "none",
	input_sync_reset => "none",
	oe_async_reset => "none",
	oe_power_up => "low",
	oe_register_mode => "none",
	oe_sync_reset => "none",
	operation_mode => "output",
	output_async_reset => "none",
	output_power_up => "low",
	output_register_mode => "none",
	output_sync_reset => "none")
-- pragma translate_on
PORT MAP (
	datain => cnt(7),
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	devoe => ww_devoe,
	oe => VCC,
	padio => ww_q(7));
END structure;


