-- un compteur decompteur
ENTITY cpt_8bits IS
	PORT
	(
		clk		: IN	BIT;
		up_down	: IN	BIT;
		q		: OUT 	INTEGER RANGE 0 TO 255	);
END cpt_8bits;

ARCHITECTURE description OF cpt_8bits IS
BEGIN
	PROCESS (clk)
		VARIABLE	cnt			: INTEGER RANGE 0 TO 255;
		VARIABLE	direction 	: INTEGER;
	BEGIN
		IF (up_down = '1') THEN
			direction := 1;
		ELSE
			direction := -1;
		END IF;
		
		IF (clk'EVENT AND clk = '1') THEN
			cnt := cnt + direction;
		END IF;
		q	<=	cnt;
	END PROCESS;
END description;
